# FoundationClasses
TKernel
OSD

# OSD_EnvironmentIterator Class Reference

This allows consultation of every environment variable.
There is no specific order of results.
.

`#include <OSD_EnvironmentIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_EnvironmentIterator ()
| Instantiates Object as Iterator; .
Standard_EXPORT void | Destroy ()
| ~OSD_EnvironmentIterator ()
Standard_EXPORT Standard_Boolean | More ()
| Returns TRUE if there are other environment variables. .
Standard_EXPORT void | Next ()
| Sets the iterator to the next item. Returns the item value corresponding to the current position of the iterator. .
Standard_EXPORT OSD_Environment | Values ()
| Returns the next environment variable found. .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

Standard_Address | myEnv
Standard_Integer | myCount
OSD_Error | myError

## Constructor & Destructor Documentation

Standard_EXPORT OSD_EnvironmentIterator::OSD_EnvironmentIterator | ( |  | ) |

OSD_EnvironmentIterator::~OSD_EnvironmentIterator | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void OSD_EnvironmentIterator::Destroy | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_EnvironmentIterator::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_EnvironmentIterator::Failed | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_EnvironmentIterator::More | ( |  | ) |

Standard_EXPORT void OSD_EnvironmentIterator::Next | ( |  | ) |

void OSD_EnvironmentIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_EnvironmentIterator::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_EnvironmentIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_EnvironmentIterator::Perror | ( |  | ) |

Standard_EXPORT void OSD_EnvironmentIterator::Reset | ( |  | ) |

Standard_EXPORT OSD_Environment OSD_EnvironmentIterator::Values | ( |  | ) |

## Field Documentation

Standard_Integer OSD_EnvironmentIterator::myCount `[private]`

Standard_Address OSD_EnvironmentIterator::myEnv `[private]`

OSD_Error OSD_EnvironmentIterator::myError `[private]`

The documentation for this class was generated from the following file:

- OSD_EnvironmentIterator.hxx